org.eclipse.actf.visualization.blind

## Interface IBlindVisualizer

All Known Implementing Classes:
  BlindVisualizerBase

    public interface IBlindVisualizer

Interface to implement new blind usability visualization class. The implementation class needs to be registered by using an extension point "org.eclipse.actf.visualization.blind.blindVisualizer".

### Field Summary

Fields
`static int` `ERROR` Visualization error code.
`static int` `OK` Visualization success code.

### Method Summary

Methods
`IEvaluationResult` `getEvaluationResult()` Get accessibility evaluation result.
`String` `getMaxReachingTime()` Get maximum reaching time within the target content.
`PageData` `getPageData()` Get statistics data of the target page.
`Document` `getResultDocument()` Get visualization result `Document`.
`File` `getResultFile()` Get visualization result `File`.
`boolean` `setModelService(IModelService modelService)` Set target `IModelService` for visualization
`void` `setVisualizationView(IVisualizationView targetView)` Set target `IVisualizationView` to show visualization result
`int` `visualize()` Execute the visualization (and accessibility evaluation if implemented).

### Field Detail

#### ERROR

    static final int ERROR

Visualization error code.

See Also:
  Constant Field Values

#### OK

    static final int OK

Visualization success code.

See Also:
  Constant Field Values

### Method Detail

#### visualize

    int visualize()

Execute the visualization (and accessibility evaluation if implemented).

Returns:
  visualization result status code. (OK, ERROR, etc.)

#### getMaxReachingTime

    String getMaxReachingTime()

Get maximum reaching time within the target content.

Returns:
  maximum reaching time (second) within the target content.

#### getEvaluationResult

    IEvaluationResult getEvaluationResult()

Get accessibility evaluation result.

Returns:
  accessibility evaluation result

#### getPageData

    PageData getPageData()

Get statistics data of the target page.

Returns:
  statistics data of the target page.
See Also:
  `PageData`

#### getResultDocument

    Document getResultDocument()

Get visualization result `Document`.

Returns:
  visualization result Document

#### getResultFile

    File getResultFile()

Get visualization result `File`.

Returns:
  visualization result File

#### setModelService

    boolean setModelService(IModelService modelService)

Set target `IModelService` for visualization

Parameters:
  `modelService` - target `IModelService`
Returns:
  true if the specified target is supported by the implementation

#### setVisualizationView

    void setVisualizationView(IVisualizationView targetView)

Set target `IVisualizationView` to show visualization result

Parameters:
  `targetView` - target `IVisualizationView` to show visualization result.